Skala
Procurement orders

List all procurement orders

Fetches a complete list of procurement order records available in the system.

GET
/api/procurement_orders

Fetches a complete list of procurement order records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

archived?boolean

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/procurement_orders"
[
  {
    "id": 0,
    "supplier": {
      "id": 0,
      "name": "string",
      "email": "string"
    },
    "forwarded": true,
    "expectedDate": "2019-08-24T14:15:22Z",
    "archived": true,
    "procurementOrderItems": [
      {
        "id": 0,
        "variant": {
          "id": 0,
          "stock": {
            "id": 0,
            "unit": {
              "id": 0,
              "name": "string"
            }
          },
          "code": "string",
          "name": "string"
        },
        "quantity": 0
      }
    ],
    "email": "string",
    "replyTo": "string",
    "template": "/entity/1",
    "body": "string",
    "subject": "string"
  }
]